Subject: bug#58176: 29.0.50; mouse-set-point region flicker with highlight-nonselected-windows=t and same buffer in two windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Sep 2022 08:45:44 +0300

> From: <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 29 Sep 2022 23:09:37 +0200
> 
> > It's a direct consequence of the fact that point is different in each
> > window.  I don't see any bug here, FWIW.  If you don't like this side
> > effect of highlight-nonselected-windows, then don't set it non-nil.
> 
> Well, maybe we could try a bit harder to reduce the flicker for ordinary
> non-dragging mouse-1 clicks. One idea could be to prevent down-mouse-1
> from activating mark until the region becomes non-zero length, so
> something like this patch.

Thanks, but this is exactly the opposite of the behavior we want.  We
currently make a significant effort to show regions of zero length.